%define build_heimdal	0
%{?_with_heimdal: %{expand: %%global build_heimdal 1}}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Kerberos 5 authentication dialog
Name:		krb5-auth-dialog
Version:	3.20.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Base
URL:		http://www.redhat.com/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		krb5-auth-dialog-3.20.0-fix-desktop-file.patch

BuildRequires:	flex
BuildRequires:	GConf2
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnotify)
%if %build_heimdal
BuildRequires:	heimdal-devel
%else
BuildRequires:	pkgconfig(krb5)
%endif

%description
This package contains a dialog that warns the user when their Kerberos
tickets are about to expire and lets them renew them.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--enable-debug \
	--disable-static
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --with-help

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc README AUTHORS NEWS
%{_bindir}/krb5-auth-dialog
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libka-plugin-afs.*
%{_libdir}/%{name}/plugins/libka-plugin-dummy.*
%{_libdir}/%{name}/plugins/libka-plugin-gnomelock.*
%{_libdir}/%{name}/plugins/libka-plugin-pam.*
%{_datadir}/icons/hicolor/*/status/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/xdg/autostart/krb5-auth-dialog.desktop
%{_datadir}/applications/krb5-auth-dialog.desktop
%{_datadir}/dbus-1/services/org.gnome.KrbAuthDialog.service
%{_datadir}/GConf/gsettings/org.gnome.KrbAuthDialog.convert
%{_datadir}/glib-2.0/schemas/org.gnome.KrbAuthDialog.gschema.xml
%{_datadir}/appdata/krb5-auth-dialog.appdata.xml


%changelog
* Fri Oct 07 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 1059324
- new version 3.20.0

* Mon Jan 04 2016 gw666 <gw666> 3.15.4-2.mga6
+ Revision: 919466
- rebuild

* Sun Jun 21 2015 ovitters <ovitters> 3.15.4-1.mga6
+ Revision: 838072
- new version 3.15.4

* Fri Oct 24 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 792932
- new version 3.14.0

* Wed Oct 15 2014 umeabot <umeabot> 3.12.0-3.mga5
+ Revision: 738860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-2.mga5
+ Revision: 681192
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 638531
- new version 3.12.0

* Sat Oct 19 2013 umeabot <umeabot> 3.8.0-2.mga4
+ Revision: 523668
- Mageia 4 Mass Rebuild

* Fri May 24 2013 gw666 <gw666> 3.8.0-1.mga4
+ Revision: 426117
- new version
- replace gconf by gschema

* Sat Jan 12 2013 umeabot <umeabot> 3.2.1-2.mga3
+ Revision: 356463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 gw666 <gw666> 3.2.1-1.mga3
+ Revision: 309192
- imported package krb5-auth-dialog

